## vagrant 1.0.3

=== test/buildbot/requirements.txt ===
buildbot==0.8.5
buildbot-slave==0.8.5
pytest==2.1.0
vendor/choices-0.4.0.tar.gz

## vagrant 0.9.3

=== debian/changelog ===
vagrant (0.9.3-1) unstable; urgency=low

  * Initial release (Closes: #628031)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Jan 2012 12:36:35 +0100

=== debian/control ===
Source: vagrant
Section: admin
Priority: optional
Maintainer: Laurent Bigonville <bigon@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/git/collab-maint/vagrant.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vagrant.git;a=summary
Homepage: http://vagrantup.com/
XS-Ruby-Versions: all

Package: vagrant
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby-erubis (>= 2.7.0),
         ruby | ruby-interpreter,
         ruby-archive-tar-minitar,
         ruby-childprocess (>= 0.3.0),
         ruby-i18n (>= 0.6.0),
         ruby-json (>= 1.5.1),
         ruby-log4r (>= 1.1.9),
         ruby-net-scp (>= 1.0.4),
         ruby-net-ssh (>= 2.2.2),
         rubygems,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: virtualbox (>= 4.0)
Description: Tool for building and distributing virtualized development environments
 This package provides the tools to create and configure lightweight,
 reproducible, and portable virtual environments.
 .
 Vagrant uses Oracle’s VirtualBox to create its virtual machines and then
 uses Chef or Puppet to provision them.

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/vagrant .*/vagrant-(.*).tar.gz

## vagrant 1.0.1

=== debian/changelog ===
vagrant (1.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/require-rubygems.overrides: Add lib/vagrant/command/gem.rb,
    lib/vagrant/environment.rb
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no further changes)
    - Add version to rubygems dependency

 -- Laurent Bigonville <bigon@debian.org>  Wed, 14 Mar 2012 11:48:07 +0100

vagrant (0.9.7-1) unstable; urgency=low

  * New upstream release
    - Bump ruby-childprocess dependency to 0.3.1
  * Add debian/gbp.conf file

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Feb 2012 11:19:55 +0100

vagrant (0.9.5-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Drop DM-Upload-Allowed

 -- Laurent Bigonville <bigon@debian.org>  Mon, 06 Feb 2012 11:24:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/git/collab-maint/vagrant.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vagrant.git;a=summary
 Homepage: http://vagrantup.com/
@@ -16,13 +15,13 @@
 Depends: ruby-erubis (>= 2.7.0),
          ruby | ruby-interpreter,
          ruby-archive-tar-minitar,
-         ruby-childprocess (>= 0.3.0),
+         ruby-childprocess (>= 0.3.1),
          ruby-i18n (>= 0.6.0),
          ruby-json (>= 1.5.1),
          ruby-log4r (>= 1.1.9),
          ruby-net-scp (>= 1.0.4),
          ruby-net-ssh (>= 2.2.2),
-         rubygems,
+         rubygems (>= 1.3.6),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: virtualbox (>= 4.0)

## vagrant 1.0.3

=== debian/changelog ===
vagrant (1.0.3-1ubuntu3) raring; urgency=low

  * debian/patches/add-vb-4-2-support.patch: Add VirtualBox 4.2 Support
    (LP: #1153582)

 -- Chris Johnston <chrisjohnston@ubuntu.com>  Mon, 11 Mar 2013 10:20:39 -0400

vagrant (1.0.3-1ubuntu2) raring; urgency=low

  * debian/patches/update_dns.patch: Add proper DEP-3 headers to patch.

 -- Chris Johnston <chrisjohnston@ubuntu.com>  Sun, 20 Jan 2013 19:19:18 -0700

vagrant (1.0.3-1ubuntu1) raring; urgency=low

  * Detect Ubuntu's dns proxy (listening on 127.0.1.1) and disables
    internal dns proxying. [GH-1176] 
    (LP: #1101914)

 -- Chris Johnston <chrisjohnston@ubuntu.com>  Sun, 20 Jan 2013 13:13:13 -0500

vagrant (1.0.3-1) unstable; urgency=low

  * New upstream release
  * debian/vagrant.bash-completion: Add bash completion file

 -- Laurent Bigonville <bigon@debian.org>  Thu, 03 May 2012 17:01:09 +0200

vagrant (1.0.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_source_root_path.patch: Refreshed

 -- Laurent Bigonville <bigon@debian.org>  Thu, 05 Apr 2012 12:13:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: vagrant
 Section: admin
 Priority: optional
-Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~), bash-completion
 Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/git/collab-maint/vagrant.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vagrant.git;a=summary

## vagrant 1.2.2

=== debian/changelog ===
vagrant (1.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #697280)
    - Add support for VirtualBox 4.2 (Closes: #710242)
    - Vagrant now only works with ruby 1.9 (Closes: #702144)
    - debian/control: Adjust dependencies
    - debian/patches/01_source_root_path.patch: Refreshed
  * debian/watch: Update watch file URL, vagrant is no longer distributed as a
    gem (Closes: #711110)
  * debian/control: Use canonical URL for VCS fields
  * debian/control: Add bsdtar, curl and openssh-client to the dependencies
  * debian/control: Bump Standards-Version to 3.9.4 (no further changes)
  * debian/vagrant.install: Install plugins directory
  * debian/patches/02_disable_installer_warning.patch: Disable warning about
    not using the installer
  * debian/require-rubygems.overrides: Refresh file list
  * debian/vagrant.bash-completion: Add completion for the new arguments

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Jul 2013 21:47:22 +0200

=== debian/control ===
Source: vagrant
Section: admin
Priority: optional
Maintainer: Laurent Bigonville <bigon@debian.org>
Build-Depends: bash-completion, debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/vagrant.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vagrant.git;a=summary
Homepage: http://vagrantup.com/
XS-Ruby-Versions: ruby1.9.1

Package: vagrant
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: bsdtar,
         curl,
         openssh-client,
         ruby-childprocess (>= 0.3.7),
         ruby-erubis (>= 2.7.0),
         ruby-i18n (>= 0.6.0),
         ruby-log4r (>= 1.1.9),
         ruby-net-scp (>= 1.1.0),
         ruby-net-ssh (>= 1:2.6.6),
         ruby1.9.1,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: virtualbox (>= 4.0)
Description: Tool for building and distributing virtualized development environments
 This package provides the tools to create and configure lightweight,
 reproducible, and portable virtual environments.
 .
 Vagrant uses Oracle’s VirtualBox to create its virtual machines and then
 uses Chef or Puppet to provision them.

## vagrant 1.4.3

=== debian/changelog ===
vagrant (1.4.3-1) unstable; urgency=low

  [ Sebastien Badia ]
  * New upstream release (Closes: #735150, #732155)
  * Add a manpage for vagrant (Closes: #710193)

  [ Laurent Bigonville ]
  * Downgrade virtualbox from Recommends to Suggests (Closes: #724903)
  * debian/control: Add maximum supported version for ruby-net-ssh

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Jan 2014 00:26:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
 Build-Depends: bash-completion, debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/vagrant.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vagrant.git;a=summary
 Homepage: http://vagrantup.com/
@@ -21,10 +21,11 @@
          ruby-log4r (>= 1.1.9),
          ruby-net-scp (>= 1.1.0),
          ruby-net-ssh (>= 1:2.6.6),
+         ruby-net-ssh (<< 1:2.8.0),
          ruby1.9.1,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: virtualbox (>= 4.0)
+Suggests: virtualbox (>= 4.0)
 Description: Tool for building and distributing virtualized development environments
  This package provides the tools to create and configure lightweight,
  reproducible, and portable virtual environments.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=ruby --with ruby --with bash_completion

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/vagrant-$1.tar.gz/ \
  https://github.com/mitchellh/vagrant/tags .*/v?(\d[\d\.]+)\.tar\.gz

## vagrant 1.4.3+dfsg1

=== debian/changelog ===
vagrant (1.4.3+dfsg1-1) unstable; urgency=medium

  * Repack upstream tarball to remove website/ directory (which is useless for
    us, anyway) containing sourceless Javascript files (Closes: #736787)
  * debian/patches/03_debian_plugins.patch: support vagrant plugins installed
    as Debian packages, to unblock packaging of vagrant plugins
    (Closes: #740165)
    .
    We will have to figure out how to forward port this patch to newer
    vagrant releases later.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 07 Aug 2014 11:00:23 -0300

vagrant (1.4.3-2) unstable; urgency=medium

  * Use the default Ruby interpreter instead of hardcoding ruby1.9.1
    (Closes: #744033)
  * Add myself to Uploaders:

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 12 May 2014 11:50:35 -0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
+Uploaders: Antonio Terceiro <terceiro@debian.org>
 Build-Depends: bash-completion, debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/vagrant.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vagrant.git;a=summary
 Homepage: http://vagrantup.com/
-XS-Ruby-Versions: ruby1.9.1
+XS-Ruby-Versions: all
 
 Package: vagrant
 Architecture: all
@@ -22,7 +23,7 @@
          ruby-net-scp (>= 1.1.0),
          ruby-net-ssh (>= 1:2.6.6),
          ruby-net-ssh (<< 1:2.8.0),
-         ruby1.9.1,
+         ruby,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: virtualbox (>= 4.0)

## vagrant 1.6.5+dfsg1

=== debian/changelog ===
vagrant (1.6.5+dfsg1-2) unstable; urgency=medium

  * debian/patches/0008-Use-a-private-temporary-dir.patch: create temporary
    files inside a private temporary directory instead of cluttering $TMPDIR.
  * debian/patches/0003-VERSION-fallback-to-usr-share-vagrant-version.txt.patch:
    updated, remove trailing newline from version number (Closes: #765074)
    - Thanks Etienne Millon <me@emillon.org>

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 28 Oct 2014 12:12:27 -0200

vagrant (1.6.5+dfsg1-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * New upstream release (Closes: #741478)
    + Thanks to Stig Sandbeck Mathisen, Balint Reczey, and Sebastien Badia
      for our previous more-or-less joint effort in trying to package post-1.4
      vagrant releases. I decided to restart fresh off the state in the 1.4
      branch, but their efforts are appreciated.
    + Required quite some patching to make it work as a Debian package, since
      the new upstream version relies quite heavily on either being installed
      by its own installer, or being run from the source tree. See
      debian/patches/ for details.
  * debian/control: added new dependencies
    + bundler
    + ruby-listen
    + ruby-nokogiri
    + ruby-rb-inotify
  * Added a DEP-8 smoke test to check dependencies and basic functionality
  * debian/rules: ignore the `require-rubygems` test

  [ Sebastien Badia ]
  * d/vagrant.bash-completion: Use upstream bash-completion file

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 11 Oct 2014 12:19:54 -0300

vagrant (1.4.3+dfsg1-3) unstable; urgency=medium

  * Drop dependency on ruby-net-ssh (<< something). Let's assume it will work
    with anything newer than the minimum required version.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 06 Oct 2014 15:20:27 -0300

vagrant (1.4.3+dfsg1-2) unstable; urgency=medium

  * Drop debian/patches/03_debian_plugins.patch as it breaks installing
    plugins from via vagrant official mechanism (vagrant plugin install)
    Closes: #758033

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 Aug 2014 11:21:07 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laurent Bigonville <bigon@debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>
 Build-Depends: bash-completion, debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/vagrant.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vagrant.git;a=summary
 Homepage: http://vagrantup.com/
@@ -14,15 +14,18 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: bsdtar,
+         bundler,
          curl,
          openssh-client,
          ruby-childprocess (>= 0.3.7),
          ruby-erubis (>= 2.7.0),
          ruby-i18n (>= 0.6.0),
+         ruby-listen,
          ruby-log4r (>= 1.1.9),
          ruby-net-scp (>= 1.1.0),
          ruby-net-ssh (>= 1:2.6.6),
-         ruby-net-ssh (<< 1:2.8.0),
+         ruby-nokogiri,
+         ruby-rb-inotify,
          ruby,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/vagrant-$1.tar.gz/,dversionmangle=s/\+dfsg\d*// \
  https://github.com/mitchellh/vagrant/tags .*/v?(\d[\d\.]+)\.tar\.gz

## vagrant 1.7.4+dfsg

=== debian/changelog ===
vagrant (1.7.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - adds support for VirtualBox 5.0 (Closes: #795666)
  * Refresh patches

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 16 Aug 2015 11:04:06 +0200

vagrant (1.7.2+dfsg-5) unstable; urgency=medium

  * 0012-require-vagrant-version-from-system.patch: require 'vagrant/version'
    directly on --version (Closes: #788494)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 07 Aug 2015 09:28:08 -0300

vagrant (1.7.2+dfsg-4) unstable; urgency=medium

  * Refresh patches
  * Support-system-installed-plugins.patch: another attempt at system-provided
    plugins. Closes: #740165
    - Install an empty /usr/share/vagrant-plugins/plugins.json to force
      looking for plugins in /usr/share/vagrant-plugins/plugins.d
    - Vagrant plugins must be packaged as regular Ruby libraries + a few extra
      bits -- see README.Debian for details
    - Provide a dh_vagrant_plugin helper that can be used to create those
      extra bits automatically -- see README.Debian for details

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 27 May 2015 14:23:39 -0300

vagrant (1.7.2+dfsg-3) unstable; urgency=medium

  * 0003-VERSION-fallback-to-usr-share-vagrant-version.txt.patch: fix reading
    version number (Closes: #785631)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 26 May 2015 18:23:50 -0300

vagrant (1.7.2+dfsg-2) experimental; urgency=medium

  * 0010-provisioners-puppet-fix-exception-with-module-paths-.patch:
    fix crash with pupper provisioner. Closes: #779637

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 03 Mar 2015 11:30:53 -0300

vagrant (1.7.2+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Refreshed patches
  * New dependency: ruby-net-sftp
  * New dependencies: ruby-rest-client
  * 0009-linux-cap-halt-don-t-wait-for-shutdown-h-now-to-fini.patch:
    do not wait for `shutdown -h now` to return; this fixes `vagrant halt`
    with lxc guests (using the vagrant-lxc plugin)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 09 Feb 2015 12:19:27 -0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,9 @@
          ruby-listen,
          ruby-log4r (>= 1.1.9),
          ruby-net-scp (>= 1.1.0),
+         ruby-net-sftp,
          ruby-net-ssh (>= 1:2.6.6),
+         ruby-rest-client,
          ruby-nokogiri,
          ruby-rb-inotify,
          ruby,

## vagrant 1.8.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: vagrant
 Section: admin
 Priority: optional
-Maintainer: Laurent Bigonville <bigon@debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antonio Terceiro <terceiro@debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>
 Build-Depends: bash-completion, debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/vagrant.git

## vagrant 1.8.1+dfsg

=== debian/changelog ===
vagrant (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches
  * debian/control: swap me and Laurent as Maintainer/Uploader to reflect
    reality.
  * 0008-Use-a-private-temporary-dir.patch: update to remove remaining usage
    of several different temporary directories; use a central temporary
    directory instead, and clean it up when the application exits
    (Closes: #811004)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 21 Jan 2016 09:40:46 -0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vagrant
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antonio Terceiro <terceiro@debian.org>
+Maintainer: Antonio Terceiro <terceiro@debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>
 Build-Depends: bash-completion, debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
 Standards-Version: 3.9.6

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DH_RUBY_IGNORE_TESTS = require-rubygems

%:
	dh $@ --buildsystem=ruby --with ruby --with bash_completion

## vagrant 1.8.5+dfsg

=== debian/changelog ===
vagrant (1.8.5+dfsg-2) unstable; urgency=medium

  * 0012-plugins-don-t-abuse-require_relative.patch: fix regression introduced
    on latest update. Thanks to Fumiyasu SATOH (Closes: #836229)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 31 Aug 2016 18:11:06 -0300

vagrant (1.8.5+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Add support for VirtualBox 5.1 (Closes: #835410)
  * Refresh patches

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 25 Aug 2016 15:29:04 -0300

vagrant (1.8.4+dfsg-2) unstable; urgency=medium

  * Depends: require bundler >= 1.12.5 (Closes: #832424)
  * Vcs-Browser: use https URL
  * Bump Standards-Version to 3.9.8; no changes needed otherwise

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 25 Jul 2016 12:00:27 -0300

vagrant (1.8.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
    - 0012-Fix-Vagrant-Bundler-to-work-against-Rubygems-from-Ru.patch:
      dropped, already applied upstream
    - Add new patch 0012-plugins-don-t-abuse-require_relative.patch
  * change dependency from `bundler` to `ruby-bundler` to avoid pulling in a
    toolchain
  * debian/tests/smoke-test: remove plugin installation test since that
    depends on having a toolchain installed, because vagrant plugin
    installation will re-install stuff that has already been installed via
    APT.
  * debian/rules: check for require_relative abuses under plugins/ in
    override_dh_auto_test

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 29 Jun 2016 14:50:30 -0300

vagrant (1.8.1+dfsg-2) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * Fix Vagrant::Bundler to work against Rubygems from Ruby 2.3
    (Closes: #817014)

  [ Antonio Terceiro ]
  * debian/tests/smoke-test: add simple plugin installation step to smoke test
    to catch any future issues with that.
  * Renumber patches
  * Bump Standards-Version to 3.9.7, no changes needed
  * Change Vcs-* to use https URLs

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 Apr 2016 18:57:57 -0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Antonio Terceiro <terceiro@debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>
 Build-Depends: bash-completion, debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/vagrant.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vagrant.git;a=summary
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/vagrant.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vagrant.git
 Homepage: http://vagrantup.com/
 XS-Ruby-Versions: all
 
@@ -14,9 +14,9 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: bsdtar,
-         bundler,
          curl,
          openssh-client,
+         ruby-bundler (>= 1.12.5),
          ruby-childprocess (>= 0.3.7),
          ruby-erubis (>= 2.7.0),
          ruby-i18n (>= 0.6.0),

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,7 @@
 
 %:
 	dh $@ --buildsystem=ruby --with ruby --with bash_completion
+
+override_dh_auto_test:
+	dh_auto_test
+	! grep -rl 'require_relative ".*lib.vagrant' plugins/

## vagrant 1.9.1+dfsg

=== debian/changelog ===
vagrant (1.9.1+dfsg-1+deb9u2) stretch; urgency=medium

  * Backport support for VirtualBox 5.2 (available in stretch-backports)
    (Closes: #908826)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 15 Sep 2018 09:23:23 -0300

vagrant (1.9.1+dfsg-1+deb9u1) stretch; urgency=medium

  * 0008-Convert-atlas-references-to-vagrant-cloud.patch: backport upstream
    patch to download boxes from app.vagrantcloud.com instead of the
    deprecated atlas.hashicorp.com (Closes: #889873)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 25 Feb 2018 21:54:18 -0300

vagrant (1.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.1+dfsg
  * Refresh patches
  * 0007-Update-command.rb.patch: fix `vagrant package` (Closes: 849723)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 15 Jan 2017 22:11:47 -0200

vagrant (1.9.0+dfsg-2) unstable; urgency=medium

  * Fix regression in dh_vagrant_plugin (Closes: #847548)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 09 Dec 2016 07:49:04 -0200

vagrant (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release
    - includes fix for issue with permissions when with inserting
      dynamically-generated SSH key into boxes (Closes: #838533)
  * debian/rules: install package using rubygems layout (dh_ruby
    --gem-install). Together with the fact that vagrant upstream dropped the
    very tight dependency on bundler, this allows us to drop the following
    patches:
    + 0002-VERSION-fallback-to-usr-share-vagrant-version.txt.patch
    + 0004-Read-data-from-usr-share-vagrant.patch
    + 0005-Look-up-vagrant-pre-rubygems.rb-from-the-installed-p.patch
    + 0006-Make-Bundler-also-lookup-into-rubygems-integration-p.patch
    + 0010-require-vagrant-version-from-system.patch
    + 0012-plugins-don-t-abuse-require_relative.patch
  * Refreshed and renumbered remaining patches
  * 0001-Disable-Checkpoint.patch: remove further checkpoint usage from
    `vagrant version`
  * Bump debhelper compatibility level to 9

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 08 Dec 2016 11:23:19 -0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Antonio Terceiro <terceiro@debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>
-Build-Depends: bash-completion, debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~)
+Build-Depends: bash-completion,
+               debhelper (>= 9),
+               gem2deb (>= 0.2.13~)
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/vagrant.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vagrant.git
@@ -16,6 +18,7 @@
 Depends: bsdtar,
          curl,
          openssh-client,
+         ruby,
          ruby-bundler (>= 1.12.5),
          ruby-childprocess (>= 0.3.7),
          ruby-erubis (>= 2.7.0),
@@ -25,10 +28,9 @@
          ruby-net-scp (>= 1.1.0),
          ruby-net-sftp,
          ruby-net-ssh (>= 1:2.6.6),
-         ruby-rest-client,
          ruby-nokogiri,
          ruby-rb-inotify,
-         ruby,
+         ruby-rest-client,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: virtualbox (>= 4.0)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DH_RUBY_IGNORE_TESTS = require-rubygems
export DH_RUBY = --gem-install
export DH_RUBY_GEM_INSTALL_WHITELIST_APPEND = version.txt
export DH_RUBY_GEM_INSTALL_BLACKLIST_APPEND = contrib/* scripts/*

%:
	dh $@ --buildsystem=ruby --with ruby --with bash_completion

## vagrant 2.0.2+dfsg

=== debian/changelog ===
vagrant (2.0.2+dfsg-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Aron Xu <aron@debian.org>  Wed, 11 Apr 2018 14:06:37 +0800

vagrant (2.0.2+dfsg-3) unstable; urgency=medium

  * Specify minimal version of ruby-net-ssh required (Closes: #890662)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 26 Mar 2018 16:14:19 -0300

vagrant (2.0.2+dfsg-2) unstable; urgency=medium

  * New upstream release.
    - Removes usage of setting name deprecated by ruby-net-ssh (Closes: #884104)
  * debian/tests/integration-test: make sure box pulled for testing is a
    Debian one to avoid failures on non-Debian hosts (Closes: #889174)
  * Refresh patches:
    - 0001-Disable-Checkpoint.patch: removed as checkpoint integration was
      dropped upstream
    - 0007-Virtualbox-5.2-support.patch: removed, applied upstream
    - Renumbered remaining patches
  * Bump Standards-Version to 4.1.3; no changes needed
  * Change Maintainer to the Debian Ruby Team
  * Point Vcs-* to salsa.debian.org
  * debian/rules: check dependencies during the build
    - added dependencies as build dependencies
  * debian/vagrant.lintian-overrides: override warning about shebang in
    upstream bash completion file

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 03 Feb 2018 10:44:25 -0200

vagrant (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.0+dfsg
  * 0007-Virtualbox-5.2-support.patch: apply upstream patch adding support for
    VirtualBox 4.2 (Closes: #879931)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 28 Oct 2017 11:31:32 -0200

vagrant (1.9.8+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
    - 0007-Update-command.rb.patch removed, already applied upstream
  * Recommends: vagrant-libvirt (Closes: #855372)
    - given virtualbox wasn't released in stretch (#794466), vagrant-libvirt is
      the provider we have that will work out of the box. Of course, this
      assumes that the box you want to use is available for libvirt as well.
  * Drop unnecessary dependency on ruby-bundler (See #838213). The code that
    uses it has already been dropped in 1.9.0+dfsg-1
  * debian/README.Debian: update documentation on packaging vagrant plugins
    (see #838898)
  * debian/tests/integration-test: new autopkgtest integration test script
    that verifies that vagrant can bring up a Debian stable VM out of the box.
  * Add a manpage for dh_vagrant_plugin.
  * Bump debhelper compatibility level to 10
  * Bump Standards-Version to 4.0.0, no changes needed
  * Drop dependencies that were also dropped upstream:
    - ruby-nokogiri
    - ruby-rb-inotify

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 06 Sep 2017 14:51:22 -0300

=== debian/control ===
Source: vagrant
Section: admin
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: bash-completion,
               debhelper (>= 10~),
               gem2deb (>= 0.2.13~),
               ruby-childprocess (>= 0.3.7),
               ruby-erubis (>= 2.7.0),
               ruby-i18n (>= 0.6.0),
               ruby-listen,
               ruby-log4r (>= 1.1.9),
               ruby-net-scp (>= 1.1.0),
               ruby-net-sftp,
               ruby-net-ssh (>= 1:4.2.0),
               ruby-rest-client,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/ruby-team/vagrant.git
Vcs-Browser: https://salsa.debian.org/ruby-team/vagrant
Homepage: http://vagrantup.com/
XS-Ruby-Versions: all

Package: vagrant
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: bsdtar,
         curl,
         openssh-client,
         ruby,
         ruby-childprocess (>= 0.3.7),
         ruby-erubis (>= 2.7.0),
         ruby-i18n (>= 0.6.0),
         ruby-listen,
         ruby-log4r (>= 1.1.9),
         ruby-net-scp (>= 1.1.0),
         ruby-net-sftp,
         ruby-net-ssh (>= 1:4.2.0),
         ruby-rest-client,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: vagrant-libvirt
Suggests: virtualbox (>= 4.0)
Description: Tool for building and distributing virtualized development environments
 This package provides the tools to create and configure lightweight,
 reproducible, and portable virtual environments.
 .
 Vagrant uses Oracle’s VirtualBox to create its virtual machines and then
 uses Chef or Puppet to provision them.

=== debian/tests/control ===
Tests: smoke-test

# This needs to be run as root when unattended, because vagrant-libvirt (the
# default provider) needs to manipulate NFS exports via sudo
Tests: integration-test
Depends: @, libvirt-daemon-system, distro-info
Restrictions: isolation-machine, needs-root, needs-recommends

## vagrant 2.2.3%2Bdfsg

=== debian/changelog ===
vagrant (2.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.3+dfsg
    - adds support for Virtualbox 6 (Closes: #921036)
  * Rebase patches
  * Update packaging with new run of dh-make-ruby
    - Bump debhelper compat to 11
    - Update dependencies
    - Bump Standards-Version to 4.3.0, no changes needed otherwise
    - Update Homepage: to an https:// URL
    - Add Rules-Require-Root: no
    - wrap-and-sort

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 05 Feb 2019 16:57:54 -0200

vagrant (2.1.5+dfsg-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * New upstream release
  * Refresh patches
  * Add missing dependency on rsync (Closes: #896660)
  * Bump dependency on ruby-net-ssh to >= 1:5, as vagrant now uses features
    that are not present before that version.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 02 Oct 2018 09:28:07 -0300

vagrant (2.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.1.2+dfsg (Closes: #906444)
  * Refresh patches
  * debian/{copyright, control}: point to https://github.com/hashicorp
  * Change dependency from bsdtar to libarchive-tools (Closes: #900489)
  * Bump Standards-Version to 4.2.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 26 Aug 2018 15:51:01 -0300

=== debian/control ===
Source: vagrant
Section: admin
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: bash-completion,
               debhelper (>= 11~),
               gem2deb,
               rake,
               ruby-bcrypt-pbkdf (>= 1.0.0),
               ruby-childprocess (>= 0.6.0),
               ruby-ed25519 (>= 1.2.4),
               ruby-erubis (>= 2.7.0),
               ruby-i18n (>= 1.1.1),
               ruby-listen (>= 3.1.5),
               ruby-log4r (>= 1.1.9),
               ruby-net-scp (>= 1.2.0),
               ruby-net-sftp (>= 2.1),
               ruby-net-ssh (>= 5.1.0),
               ruby-rest-client (>= 1.6.0),
               ruby-vagrant-cloud (>= 2.0.2),
               ruby-zip (>= 1.2.2)
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/ruby-team/vagrant.git
Vcs-Browser: https://salsa.debian.org/ruby-team/vagrant
Homepage: https://www.vagrantup.com
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: vagrant
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: libarchive-tools,
         curl,
         openssh-client,
         rsync,
         ruby,
         ruby-bcrypt-pbkdf (>= 1.0.0),
         ruby-childprocess (>= 0.6.0),
         ruby-ed25519 (>= 1.2.4),
         ruby-erubis (>= 2.7.0),
         ruby-i18n (>= 1.1.1),
         ruby-listen (>= 3.1.5),
         ruby-log4r (>= 1.1.9),
         ruby-net-scp (>= 1.2.0),
         ruby-net-sftp (>= 2.1),
         ruby-net-ssh (>= 5.1.0),
         ruby-rest-client (>= 1.6.0),
         ruby-vagrant-cloud (>= 2.0.2),
         ruby-zip (>= 1.2.2),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: vagrant-libvirt
Suggests: virtualbox (>= 4.0)
Description: Tool for building and distributing virtualized development environments
 This package provides the tools to create and configure lightweight,
 reproducible, and portable virtual environments.
 .
 Vagrant uses Oracle’s VirtualBox to create its virtual machines and then
 uses Chef or Puppet to provision them.

=== debian/tests/control ===
Tests: smoke-test

# This needs to be run as root when unattended, because vagrant-libvirt (the
# default provider) needs to manipulate NFS exports via sudo
Tests: integration-test
Depends: distro-info,
         libvirt-daemon-system,
         @
Restrictions: isolation-machine, needs-root, needs-recommends

## vagrant 2.2.3+dfsg

=== debian/changelog ===
vagrant (2.2.3+dfsg-1ubuntu2) disco; urgency=medium

  * Drop ruby-i18n Depends to a version we have available in Ubuntu.

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 07 Mar 2019 09:54:37 -0500

vagrant (2.2.3+dfsg-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop integration-test autopkgtest as it depends on access to the Debian
      archive.

 -- Daniel Watkins <oddbloke@ubuntu.com>  Mon, 11 Feb 2019 10:23:56 -0500

vagrant (2.0.2+dfsg-3ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop integration-test autopkgtest as it depends on access to the Debian
      archive.

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 07 Jun 2018 16:15:34 -0700

vagrant (2.0.2+dfsg-2ubuntu8) bionic; urgency=medium

  * Re-drop integration-test autopkgtest as it's flaky in the autopkgtest
    infrastructure.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Thu, 15 Mar 2018 15:28:25 -0700

vagrant (2.0.2+dfsg-2ubuntu7) bionic; urgency=medium

  * Exclude i386 from integration-test autopkgtest.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Tue, 13 Mar 2018 12:30:39 -0400

vagrant (2.0.2+dfsg-2ubuntu6) bionic; urgency=medium

  * d/tests/integration-test:
    - Get debug output during `vagrant up`
    - Bump boot timeout for box under test to 10 minutes

 -- Daniel Watkins <daniel.watkins@canonical.com>  Fri, 09 Mar 2018 14:54:27 +0100

vagrant (2.0.2+dfsg-2ubuntu5) bionic; urgency=medium

  * Don't even attempt to install virtualbox on the architectures that it
    isn't available for.
  * Use 64-bit boxes on amd64 and 32-bit boxes on i386.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Fri, 09 Mar 2018 12:39:37 +0100

vagrant (2.0.2+dfsg-2ubuntu4) bionic; urgency=medium

  * Don't run integration-test autopkgtest on non-Intel architectures;
    virtualbox is only available on amd64 and i386.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Fri, 09 Mar 2018 09:16:32 +0100

vagrant (2.0.2+dfsg-2ubuntu3) bionic; urgency=medium

  * Reintroduce integration-test autopkgtest using Ubuntu box; virtualbox is
    an acceptable autopkgtest dependency.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Thu, 08 Mar 2018 21:40:26 +0100

vagrant (2.0.2+dfsg-2ubuntu2) bionic; urgency=medium

  * Actually drop integration-test autopkgtest from d/tests/control.
  * Run update-maintainer.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Thu, 08 Mar 2018 08:34:36 +0100

vagrant (2.0.2+dfsg-2ubuntu1) bionic; urgency=medium

  * Drop integration-test autopkgtest; it fails because it launches the Debian
    Vagrant box, which fails due to lack of access to the Debian archives.
    (We can't switch to use the Ubuntu box because it's only available for
    VirtualBox, which is a multiverse package.)

 -- Daniel Watkins <daniel.watkins@canonical.com>  Wed, 07 Mar 2018 17:29:51 +0100

vagrant (2.0.2+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild for Ruby.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Wed, 07 Mar 2018 12:30:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vagrant
 Section: admin
 Priority: optional
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Laurent Bigonville <bigon@debian.org>
 Build-Depends: bash-completion,
@@ -12,7 +13,7 @@
                ruby-childprocess (>= 0.6.0),
                ruby-ed25519 (>= 1.2.4),
                ruby-erubis (>= 2.7.0),
-               ruby-i18n (>= 1.1.1),
+               ruby-i18n (>= 0.7.0),
                ruby-listen (>= 3.1.5),
                ruby-log4r (>= 1.1.9),
                ruby-net-scp (>= 1.2.0),
@@ -41,7 +42,7 @@
          ruby-childprocess (>= 0.6.0),
          ruby-ed25519 (>= 1.2.4),
          ruby-erubis (>= 2.7.0),
-         ruby-i18n (>= 1.1.1),
+         ruby-i18n (>= 0.7.0),
          ruby-listen (>= 3.1.5),
          ruby-log4r (>= 1.1.9),
          ruby-net-scp (>= 1.2.0),

## vagrant 2.2.6+dfsg

=== debian/changelog ===
vagrant (2.2.6+dfsg-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop integration-test autopkgtest as it depends on access to the Debian
      archive.

 -- Dave Chiluk <chiluk@ubuntu.com>  Fri, 3 Jan 2020 11:50:10 -0600

vagrant (2.2.6+dfsg-2) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Antonio Terceiro ]
  * Add patch to avoid /etc/exports growing forever
  * Add patch for VirtualBox 6.1 support (Closes: #946837)
  * Add Breaks: on unsupported VirtualBox versions (Closes: #946838)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 24 Dec 2019 16:54:36 -0300

vagrant (2.2.6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.6+dfsg
  * Refresh patches
  * Bump dependency on ruby-vagrant-cloud to >= 2.0.3
  * autopkgtest: don't try running a box under /tmp
  * Bump Standards-Version to 4.4.1; no changes needed
  * autopkgtest: drop obsolete resstriction needs-recommends
  * debian/rules: drop README.md files outside of doc dirs
  * autopkgtest smoke-test: use vagrant-libvirt

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 Nov 2019 10:13:03 -0300

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,16 @@
                ruby-childprocess (>= 0.6.0),
                ruby-ed25519 (>= 1.2.4),
                ruby-erubis (>= 2.7.0),
-               ruby-i18n (>= 0.7.0),
+               ruby-i18n (>= 1.1.1),
                ruby-listen (>= 3.1.5),
                ruby-log4r (>= 1.1.9),
                ruby-net-scp (>= 1.2.0),
                ruby-net-sftp (>= 2.1),
                ruby-net-ssh (>= 5.1.0),
                ruby-rest-client (>= 1.6.0),
-               ruby-vagrant-cloud (>= 2.0.2),
+               ruby-vagrant-cloud (>= 2.0.3),
                ruby-zip (>= 1.2.2)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/ruby-team/vagrant.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/vagrant
 Homepage: https://www.vagrantup.com
@@ -42,19 +42,20 @@
          ruby-childprocess (>= 0.6.0),
          ruby-ed25519 (>= 1.2.4),
          ruby-erubis (>= 2.7.0),
-         ruby-i18n (>= 0.7.0),
+         ruby-i18n (>= 1.1.1),
          ruby-listen (>= 3.1.5),
          ruby-log4r (>= 1.1.9),
          ruby-net-scp (>= 1.2.0),
          ruby-net-sftp (>= 2.1),
          ruby-net-ssh (>= 5.1.0),
          ruby-rest-client (>= 1.6.0),
-         ruby-vagrant-cloud (>= 2.0.2),
+         ruby-vagrant-cloud (>= 2.0.3),
          ruby-zip (>= 1.2.2),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: vagrant-libvirt
 Suggests: virtualbox (>= 4.0)
+Breaks: virtualbox (>= ${vagrant:UnsupportedVirtualBox})
 Description: Tool for building and distributing virtualized development environments
  This package provides the tools to create and configure lightweight,
  reproducible, and portable virtual environments.

=== debian/rules ===
#!/usr/bin/make -f

export DH_RUBY = --gem-install
export DH_RUBY_GEM_INSTALL_WHITELIST_APPEND = version.txt
export DH_RUBY_GEM_INSTALL_BLACKLIST_APPEND = contrib/* scripts/*
export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby --with bash_completion

override_dh_auto_build:
	dh_auto_build
	pod2man -c "" -r "" debian/dh_vagrant_plugin > debian/dh_vagrant_plugin.1

override_dh_auto_install: virtualbox_support
	dh_auto_install
	find debian/vagrant/usr/share/rubygems-integration/ -name README.md -delete

unsupported_virtualbox = $(shell ./debian/get-unsupported-virtualbox)

virtualbox_support:
	@echo 'vagrant:UnsupportedVirtualBox=$(unsupported_virtualbox)' >> debian/vagrant.substvars
	@echo 'Unsupported VirtualBox: >= $(unsupported_virtualbox)'

=== debian/tests/control ===
Tests: smoke-test
Depends: @, vagrant-libvirt

## vagrant 2.2.9+dfsg

=== debian/changelog ===
vagrant (2.2.9+dfsg-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop integration-test DEP-8 test as it tries to download a vagrant
      box from the internet.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 12 Aug 2020 17:26:32 -0300

vagrant (2.2.9+dfsg-1) unstable; urgency=medium

  * Update package description to mention the fact that VirtualBox is not used
    by default (Closes: #960570)
  * New upstream version 2.2.9+dfsg
  * debian/control: packaging updates from a new dh-make-ruby run
  * Refresh patches against new upstream version
    - 0003-linux-cap-halt-don-t-wait-for-shutdown-h-now-to-fini.patch:
      dropped, issue has been fixed differently by upstream.
  * debian/tests/smoke-test: replace $ADTTMP with $AUTOPKGTEST_TMP
  * Drop lintian override for script-not-executable against bash completion
  * debian/tests/integration-test: add new dependencies

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 23 May 2020 09:03:43 -0300

vagrant (2.2.7+dfsg-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop integration-test DEP-8 test as it tries to download a vagrant
      box from the internet.

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Wed, 29 Apr 2020 11:24:21 -0300

vagrant (2.2.7+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.7+dfsg
  * Refresh packaging files with a new dh-make-ruby run
  * Refresh patches.
    Drop, already applied upstream:
    - 0006-nfs-avoid-adding-extra-newlines-to-etc-exports.patch
    - 0007-Add-VirtualBox-provider-support-for-version-6.1.x.patch
  * Add patches for ruby2.7 support

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 21 Mar 2020 21:45:45 -0300

=== debian/control ===
Source: vagrant
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 12),
               gem2deb (>= 1),
               rake,
               ruby,
               ruby-bcrypt-pbkdf (>= 1.0.0),
               ruby-childprocess (>= 3.0.0),
               ruby-ed25519 (>= 1.2.4),
               ruby-erubis (>= 2.7.0),
               ruby-i18n (>= 1.8),
               ruby-listen (>= 3.1.5),
               ruby-log4r (>= 1.1.9),
               ruby-net-scp (>= 1.2.0),
               ruby-net-sftp (>= 2.1),
               ruby-net-ssh (>= 5.2.0),
               ruby-rest-client (>= 1.6.0),
               ruby-vagrant-cloud (>= 2.0.3),
               ruby-zip (>= 2.0)
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/vagrant.git
Vcs-Browser: https://salsa.debian.org/ruby-team/vagrant
Homepage: https://www.vagrantup.com
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: vagrant
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: libarchive-tools,
         curl,
         openssh-client,
         rsync,
         ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Recommends: vagrant-libvirt
Suggests: virtualbox (>= 4.0)
Breaks: virtualbox (>= ${vagrant:UnsupportedVirtualBox})
Description: Tool for building and distributing virtualized development environments
 This package provides the tools to create and configure lightweight,
 reproducible, and portable virtual environments.
 .
 Vagrant upstream uses Oracle’s VirtualBox by default to create its virtual
 machines. On Debian, Vagrant will use libvirt/KVM by default as VirtualBox is
 not part of Debian main, but will use VirtualBox if it's installed.
